Package org.eclipse.birt.chart.event

# Class AreaRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.AreaRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

Direct Known Subclasses:
  `Area3DRenderEvent`

public class AreaRenderEvent extends PrimitiveRenderEvent
A rendering event type for rendering Area object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`AreaRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`final void`
`add(PrimitiveRenderEvent pre)`
Add a sub event to this area.
`final void`
`clear()`
Removes all sub events associated with current area.
`PrimitiveRenderEvent`
`copy()`
`void`
`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`void`
`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`final Fill`
`getBackground()`
`final Bounds`
`getBounds()`
Returns the mimimum bounds required to contain the rendering area for current event.
`final PrimitiveRenderEvent`
`getElement(int i)`
Returns the specific sub event by given index.
`final int`
`getElementCount()`
`LineAttributes`
`getLineAttributes()`
`final LineAttributes`
`getOutline()`
`final Iterator<PrimitiveRenderEvent>`
`iterator()`
Returns the iterator for the subordinate event list.
`void`
`reset()`
Resets the inner state of current event.
`final void`
`setBackground(Fill fill)`
Sets the background of this area.
`final void`
`setOutline(LineAttributes outline)`
Sets the outline of this area.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AreaRenderEvent

public AreaRenderEvent(Object oSource)
The constructor.

## Method Details

### clear

public final void clear()
Removes all sub events associated with current area.

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`

### add

public final void add(PrimitiveRenderEvent pre)
Add a sub event to this area.

Parameters:
  `pre` -

### getElementCount

public final int getElementCount()

Returns:
  Returns the sub events count of this area.

### iterator

public final Iterator<PrimitiveRenderEvent> iterator()
Returns the iterator for the subordinate event list.

Returns:

### getElement

public final PrimitiveRenderEvent getElement(int i)
Returns the specific sub event by given index.

Parameters:
  `i` -
Returns:

### getBackground

public final Fill getBackground()

Overrides:
  `getBackground` in class `PrimitiveRenderEvent`
Returns:
  Returns the background.

### setBackground

public final void setBackground(Fill fill)
Sets the background of this area.

Parameters:
  `fill` - The fill to set.

### getBounds

public final Bounds getBounds()
Description copied from class: `PrimitiveRenderEvent`
Returns the mimimum bounds required to contain the rendering area for current event.

Overrides:
  `getBounds` in class `PrimitiveRenderEvent`
Returns:

### getOutline

public final LineAttributes getOutline()

Returns:
  Returns the outline.

### setOutline

public final void setOutline(LineAttributes outline)
Sets the outline of this area.

Parameters:
  `outline` - The outline to set.

### copy

public PrimitiveRenderEvent copy() throws ChartException

Overrides:
  `copy` in class `PrimitiveRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses
Throws:
  `ChartException`

### draw

public void draw(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'draw' itself on the device renderer

Overrides:
  `draw` in class `PrimitiveRenderEvent`
Throws:
  `ChartException`

### fill

public void fill(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'fill' itself on the device renderer

Overrides:
  `fill` in class `PrimitiveRenderEvent`
Throws:
  `ChartException`

### getLineAttributes

public LineAttributes getLineAttributes()

Overrides:
  `getLineAttributes` in class `PrimitiveRenderEvent`
Returns:
  A reference to the LineAttributes